## 安装
npm install zgw-tools
 
## 导入
const ztest=require('zgw-tools')

## 格式化时间
//调用dateFormat 对时间进行格式化
const dtstr=dt.dateFormat(new Date())
// 结果 2022-08-01 16:16:00
console.log(dtstr)

## 转义HTML中的特殊字符
//带转换的HTML字符串
const htmlStr='<h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>'
//调用htmlEscape方法进行转换
const str=dt.htmlEscape(htmlStr)
//转换的结果 &lt;h1 title=&quot;abc&quot;&gt;这是h1标签&lt;span&gt;123&amp;nbsp;&lt;/span&gt;&lt;/h1&gt;
console.log(str);


## 还原HTML中的特殊字符
//代还原的HTML字符串
const strr=dt.htmlUnEscape(str)
//还原的结果 <h1 title="abc">这是h1标签<span>123&nbsp;</span></h1>
console.log(strr);

## 开源协议
ISC